Summary: An easy to use but powerfull iptables stateful firewall
Name: firehol
Version: 1.226
Release: alt1.cvs20070210
License: GPL
Group: System/Configuration/Networking
Source0: %name-%version.tar
Source1: ftp_ssl.conf
Patch1: firehol.sh-alt-iptables.patch
Patch2: firehol.sh-alt-init.patch
Url: http://firehol.sourceforge.net

Packager: L.A. Kostis <lakostis@altlinux.ru>

BuildArch: noarch

Requires: which

%description
FireHOL uses an extremely simple but powerfull way to define
firewall rules which it turns into complete stateful iptables
firewalls.
FireHOL is a generic firewall generator, meaning that you can
design any kind of local or routing stateful packet filtering
firewalls with ease.

Install FireHOL if you want an easy way to configure stateful
packet filtering firewalls on Linux hosts and routers.

You can run FireHOL with the 'helpme' argument, to get a
configuration file for the system run, which you can modify
according to your needs.

The default configuration file will allow only client traffic
on all interfaces.

%prep
%setup
%patch1 -p1
%patch2 -p1

%build
%install
mkdir -p %buildroot%_sysconfdir/firehol/examples
mkdir -p %buildroot%_sysconfdir/firehol/services
mkdir -p %buildroot%_initdir
install -m 750 firehol.sh %buildroot%_initdir/firehol
install -m 640 examples/client-all.conf %buildroot%_sysconfdir/firehol/firehol.conf
mkdir -p %buildroot/%_man1dir
mkdir -p %buildroot/%_man5dir
install -m 644 man/firehol.1 %buildroot/%_mandir/man1/
install -m 644 man/firehol.conf.5 %buildroot/%_mandir/man5/
install -m 644 %SOURCE1 %buildroot%_sysconfdir/firehol/services/
install -m 644 examples/home-adsl.conf %buildroot%_sysconfdir/firehol/examples/home-adsl.conf
install -m 644 examples/home-dialup.conf %buildroot%_sysconfdir/firehol/examples/home-dialup.conf
install -m 644 examples/office.conf %buildroot%_sysconfdir/firehol/examples/office.conf
install -m 644 examples/server-dmz.conf %buildroot%_sysconfdir/firehol/examples/server-dmz.conf
install -m 644 examples/client-all.conf %buildroot%_sysconfdir/firehol/examples/client-all.conf
install -m 644 examples/lan-gateway.conf %buildroot%_sysconfdir/firehol/examples/lan-gateway.conf

%pre
%post
if [ -f %_sysconfdir/firehol.conf -a ! -f %_sysconfdir/firehol/firehol.conf ]
then
	mv -f %_sysconfdir/firehol.conf %_sysconfdir/firehol/firehol.conf
	echo
	echo
	echo "FireHOL has now its configuration in %_sysconfdir/firehol/firehol.conf"
	echo "Your existing configuration has been moved to its new place."
	echo
fi
%post_service firehol

%preun
%preun_service firehol

%files
%doc README TODO COPYING ChangeLog WhatIsNew

%dir %_sysconfdir/firehol
%dir %_sysconfdir/firehol/examples
%dir %_sysconfdir/firehol/services
%_sysconfdir/firehol/services/*

%_initdir/firehol
%_man1dir/*
%_man5dir/*

%config(noreplace) %_sysconfdir/firehol/firehol.conf

%_sysconfdir/firehol/examples/home-adsl.conf
%_sysconfdir/firehol/examples/home-dialup.conf
%_sysconfdir/firehol/examples/office.conf
%_sysconfdir/firehol/examples/server-dmz.conf
%_sysconfdir/firehol/examples/client-all.conf
%_sysconfdir/firehol/examples/lan-gateway.conf

%doc adblock.sh get-iana.sh
%doc doc/adding.html
%doc doc/css.css
%doc doc/fwtest.html
%doc doc/index.html
%doc doc/language.html
%doc doc/services.html
%doc doc/search.html
%doc doc/tutorial.html
%doc doc/commands.html
%doc doc/header.html
%doc doc/invoking.html
%doc doc/overview.html
%doc doc/trouble.html
%doc doc/faq.html

%changelog
* Sun Feb 11 2007 L.A. Kostis <lakostis@altlinux.ru> 1.226-alt1.cvs20070210
- initial build for ALTLinux.
- add ftp ssl/tls support services.
